Skip to content

Create Video with Images sora-2

POST https://www.kkiai.com/v1/video/create

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
Content-TypestringRequiredapplication/json
AcceptstringRequiredapplication/json
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
imagesarray[string]Required
modelstringRequired
orientationstringRequiredportrait for vertical screen landscape for horizontal screen
promptstringRequired
sizestringRequiredsmall generally 720p
durationintegerRequired
watermarkstringRequiredDefault: true will prioritize watermark-free, if error occurs, will fall back to watermarked Pass false to force the video to be watermark-free, will automatically retry if watermark removal error occurs

Request Example

json
{
    "images": [
        "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
    ],
    "model": "sora-2-all",
    "orientation": "portrait",
    "prompt": "make animate",
    "size": "large",
    "duration":15,
    "watermark":false
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/v1/video/create' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "images": [
        "https://filesystem.site/cdn/20250612/998IGmUiM2koBGZM3UnZeImbPBNIUL.png"
    ],
    "model": "sora-2-all",
    "orientation": "portrait",
    "prompt": "make animate",
    "size": "large",
    "duration":15,
    "watermark":false
}'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
idstringRequired
statusstringRequired
status_update_timeintegerRequired

Response Example

json
{
    "id": "sora-2:task_01k6x15vhrff09dkkqjrzwhm60",
    "status": "pending",
    "status_update_time": 1759763427208
}